Subject: Re: bug#50660: 28.0.50; Text artifacting when the cursor moves over text under mouse face that originally displayed a box

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Oct 2021 09:28:04 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 16 Oct 2021 14:16:12 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think I follow: what is "the original font" in this context?
> > And when you say "shouldn't s->font be", do you mean what it should be
> > before or after the processing in fill_glyph_string?
> 
> I meant what it should be after the processing, and by "the original
> font", I meant the font of the original face, that was used to calculate
> the metrics of the glyphs.

FACE_FOR_CHAR will get you the face with the correct font, and calling
get_glyph_face_and_encoding after that will produce the glyph codes
from that font.  So that's exactly why I commented why your additional
code must be before the loop that produces the glyph codes (inside
get_glyph_face_and_encoding).